Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CommandLineArgumentHelper

    java.lang.Object
      com.beasys.commerce.util.CommandLineArgumentHelper

Deprecated Use `CommandLineArgumentHelper`

    @Deprecated
    public class CommandLineArgumentHelper

extends Object

Convenience helper for handling command line arguments.

Field Summary
`protected static String` | `LINE_FEED` Deprecated See BEA Commerce product offering
`static Object` | `REGULAR_ARGS` Deprecated See BEA Commerce product offering

Constructor Summary
`CommandLineArgumentHelper()` Deprecated See BEA Commerce product offering

Method Summary
`protected static CommandLineArgument` | `getArgument(String aFlag, List args)` Deprecated See BEA Commerce product offering
`protected static String` | `getUsageText(boolean isRequired, List arguments)` Deprecated See BEA Commerce product offering
`protected static boolean` | `isRequired(String aFlag, List args)` Deprecated See BEA Commerce product offering
`static Map` | `mapArguments(String[] args, List arguments)` Deprecated See BEA Commerce product offering
`protected static boolean` | `requiresFlagValue(String aFlag, List args)` Deprecated See BEA Commerce product offering
`static String` | `usage(Class aClass, List arguments)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_FEED

    protected static final String LINE_FEED

  Deprecated See BEA Commerce product offering

### REGULAR_ARGS

    public static final Object REGULAR_ARGS

  Deprecated See BEA Commerce product offering

Constructor Detail

### CommandLineArgumentHelper

    public CommandLineArgumentHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### usage

    public static String usage(Class aClass,
                               List arguments)

  Deprecated See BEA Commerce product offering

  Usage.

  Parameters
    `aClass` -
    `arguments` -
  Returns
    `String`

### getUsageText

    protected static String getUsageText(boolean isRequired,
                                         List arguments)

  Deprecated See BEA Commerce product offering

  Get usage text.

  Parameters
    `isRequired` -
    `arguments` -
  Returns
    `String`

### getArgument

    protected static CommandLineArgument getArgument(String aFlag,
                                                     List args)

  Deprecated See BEA Commerce product offering

  Get argument.

  Parameters
    `aFlag` -
    `args` -
  Returns
    `CommandLineArgument`

### requiresFlagValue

    protected static boolean requiresFlagValue(String aFlag,
                                               List args)

  Deprecated See BEA Commerce product offering

  Requires flag value.

  Parameters
    `aFlag` -
    `args` -
  Returns
    `boolean`

### isRequired

    protected static boolean isRequired(String aFlag,
                                        List args)

  Deprecated See BEA Commerce product offering

  Is required.

  Parameters
    `aFlag` -
    `args` -
  Returns
    `boolean`

### mapArguments

    public static Map mapArguments(String[] args,
                                   List arguments)

  Deprecated See BEA Commerce product offering

  Map the arguments.

  Parameters
    `args` - args from
    `arguments` - list of CommandLineArgument(s).
  Returns
    `Map` the key is the CommandLineArgument, the value is a List of values for the CommandLineArgument.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved